<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="LearnFiles.aspx.cs" Inherits="RM.Web.Training.Learn.LearnFiles" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>
        <%=courTitle%>_<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_zaixianxx")%> </title>
    <link href="../../Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <link href="m/Learn.css" rel="stylesheet" type="text/css" />
    <link href="/Themes/Scripts/ShowMsg/msgbox.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/ShowMsg/msgbox.js" type="text/javascript"></script>

        <style type="text/css">
    .strTree li ul{ display:none;}
    .FileList{ margin:5px; border-bottom:1px solid #ccc;}
    .FileList strong{ text-indent:20px;}
    </style>
</head>
<body>
    <div class="l_Menu" id="l_Menu">
    <div class="btnbartitle">
        <div>
      <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_CourType_Kjfl")%>
        </div>
    </div>
    <div class="div-body">
        <ul class="strTree">
            <%=strHtml.ToString()%>
        </ul>
    </div>
    </div>
    <div class="l_Main" id="l_Main">
        <div class="cour_Name">
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Courseware_CourType_Kjfl")%> -
            <%=courTitle %></div>
            <%=pageHtml.ToString() %>
      
    </div>
    <script src="../../Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="../../Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="../../Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="../../Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
    
    <script src="/Training/Learn/m/LearnFilesJs.js" type="text/javascript"></script>
       <link href="/Themes/Scripts/TreeView/treeview.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/TreeView/treeview.pack.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>

    <script type="text/javascript">
        $(function () {
        
            setInterval(Setlearntime, 1000); //统计学习时间,10秒统计1次，越小统计精度越大
            //宽度自适应
            function resizeU() {
                var mainObj = $("#l_Main");
                mainObj.width($(window).width() - 120);
                //课件详细的窗口大小自动伸缩
                $("#courBar").height($(window).height());
                //右侧内容的窗口大小自动伸缩
                $('#interMain').height($(window).height() - 216);

             
            }
            $(window).resize(resizeU);
            resizeU();
            //页面事件绑定、数据初始化等
            learnPage.init();
            treeAttrCss();
            GetClickValue();
       
        });
     
        //更新统计学习时间
        function Setlearntime() {
       //     $.get("/Training/Learn/Interacts.ashx?Key=" + QueryString("Key") + "&t=1" );
        }
        //得到QueryString
        function QueryString(fieldName) {
            fieldName = fieldName.toLowerCase();
            var urlString = document.location.search.toLowerCase();
            if (urlString != null) {
                var typeQu = fieldName + "=";
                var urlEnd = urlString.indexOf(typeQu);
                if (urlEnd != -1) {
                    var paramsUrl = urlString.substring(urlEnd + typeQu.length);
                    var isEnd = paramsUrl.indexOf('&');
                    if (isEnd != -1) {
                        return paramsUrl.substring(0, isEnd);
                    }
                    else {
                        return paramsUrl;
                    }
                }
                else {
                    return "";
                }
            }
            else {
                return "";
            }
        }
        function getoffice(url) {
            top.openDialog(url, 'getoffice', '<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_onlineyulan")%>', '100%', '100%', 0, 0);
        }
        function GetClickValue() {
            $(".strTree li div").click(function () {
                var id = "";
                //子目录 
                var type=($(this).attr("data"));
                $(this).parent().find("span").each(function () {
                    if ($(this).html() != "") {
                    
                        id += "'" + $(this).html() + "',";
                    }
                });
                id = id.substr(0, id.length - 1);
                //var path = 'CS_List.aspx?ctKey=' + id;
                // window.parent.frames["target_right"].location = path;

                location.href = "LearnFiles.aspx?ctKey=" + id + "&type=" + type;
            })
        }
    </script>
    <link href="/Themes/Scripts/Lightbox/Lightbox/css/style.css" rel="stylesheet"
        type="text/css" />
       <script src="/Themes/Scripts/Lightbox/Lightbox/js/jquery.colorbox-min.js" type="text/javascript"></script>
       <script src="/Themes/Scripts/Lightbox/Lightbox/js/lrtk.js" type="text/javascript"></script>
    <SCRIPT type=text/javascript>/*<![CDATA[*/if(!isMobile()){$(document).ready(function(){$("a[rel^='colorbox']").colorbox({title:" ",slideshow:true,slideshowAuto:false,previous:'<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_upzhang")%>',next:'<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_downzhang")%>',close:'<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Close")%>',slideshowStart:'<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_bofang")%>',slideshowStop:'<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_zanting")%>',current:"<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ChapterList_di")%> {current} <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_zhang")%> (<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_gong")%>{total}<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("Learn_zhang")%>)"});});}/*]]>*/</SCRIPT>	  
</body>
</html>

